    <div class="row" >
    <div class="col-md-8" >

        <div class="main" style="margin-top: -30px; ">
            <p class="sign" style="text-align: center;">Modifier votre mot de passe</p>
            
            <form class="form1" #f="ngForm" (ngSubmit)="resetPassword(f.value)">
                <div class="alert alert-danger mt-1 alert-validation-msg" role="alert" *ngIf="success != 'success'">
                    <i class="feather icon-info mr-1 align-middle"></i>
                    <span>{{success}}</span>
                  </div>
                  <fieldset class="form-label-group position-relative has-icon-left">
                    <input type="password" class="pass"  placeholder="Code de Securité" name="token" #token="ngModel" ngModel required>
                    <div class="form-control-position">
                        <i class="feather icon-lock left"></i>
                    </div>
                    <div class="alert alert-danger mt-1 alert-validation-msg al" role="alert" *ngIf="token.touched && token.invalid" style="width: 76% ;margin-left:46px;">
                      <i class="feather icon-info mr-1 align-middle"></i>
                      <span>code Obligatoire</span>
                    </div>
                </fieldset>

                <fieldset class="form-label-group position-relative has-icon-left">
                    <input type="password" class="pass"  placeholder="nouveau mot de passe" name="password" #password="ngModel" ngModel required>
                    <div class="form-control-position">
                        <i class="feather icon-lock left"></i>
                    </div>
                    <div class="alert alert-danger mt-1 alert-validation-msg al" role="alert" *ngIf="password.touched && password.invalid" style="width: 76% ;margin-left:46px;">
                      <i class="feather icon-info mr-1 align-middle"></i>
                      <span>mot de passe Obligatoire</span>
                    </div>
                </fieldset>

                <fieldset class="form-label-group position-relative has-icon-left">
                    <input type="password" class="pass"  placeholder="Confirm mot de passe" name="confirmPassword" #confirmPassword="ngModel" ngModel required>
                    <div class="form-control-position">
                        <i class="feather icon-lock left"></i>
                    </div>
                    <div class="alert alert-danger mt-1 alert-validation-msg al" role="alert" *ngIf="confirmPassword.touched && (confirmPassword.invalid || confirmPassword.value!==password.value)" style="width: 76% ;margin-left:46px;">
                      <i class="feather icon-info mr-1 align-middle"></i>
                      <span>confirmation mot de passe incorrecte</span>
                    </div>
                </fieldset>
              
                

                <fieldset class="form-label-group position-relative has-icon-left" style="margin-top: 20px;">
                    <button type="submit" class="btn btn-primary btn-inline" style="margin-left: 46px; margin-top: 30px;width: 76%; margin-bottom: 5px;"  [disabled]="f.invalid">Changer mot de passe Password</button>

                      <a [routerLink]="['/forgot_password']"  class="btn bg-gradient-warning mr-1 mb-1 waves-effect waves-light" style="margin-left: 46px; ;width: 76%; margin-bottom: 30px;" >Annuler</a>

              </fieldset>
               
               
            </form>        
        </div>
    </div>
</div>